//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Rikai.PRISM.WPF
{
    using System;
    using System.Collections.Generic;
    
    public partial class tblReportDetail02
    {
        public string InfoID { get; set; }
        public string PupilCd { get; set; }
        public byte Edaban { get; set; }
        public string Subject01Name { get; set; }
        public Nullable<int> Subject01Koma { get; set; }
        public Nullable<int> Subject01ExKoma { get; set; }
        public Nullable<int> Subject01Price { get; set; }
        public string Subject02Name { get; set; }
        public Nullable<int> Subject02Koma { get; set; }
        public Nullable<int> Subject02ExKoma { get; set; }
        public Nullable<int> Subject02Price { get; set; }
        public string Subject03Name { get; set; }
        public Nullable<int> Subject03Koma { get; set; }
        public Nullable<int> Subject03ExKoma { get; set; }
        public Nullable<int> Subject03Price { get; set; }
        public string Subject04Name { get; set; }
        public Nullable<int> Subject04Koma { get; set; }
        public Nullable<int> Subject04ExKoma { get; set; }
        public Nullable<int> Subject04Price { get; set; }
        public string Subject05Name { get; set; }
        public Nullable<int> Subject05Koma { get; set; }
        public Nullable<int> Subject05ExKoma { get; set; }
        public Nullable<int> Subject05Price { get; set; }
        public string Subject06Name { get; set; }
        public Nullable<int> Subject06Koma { get; set; }
        public Nullable<int> Subject06ExKoma { get; set; }
        public Nullable<int> Subject06Price { get; set; }
        public string Subject07Name { get; set; }
        public Nullable<int> Subject07Koma { get; set; }
        public Nullable<int> Subject07ExKoma { get; set; }
        public Nullable<int> Subject07Price { get; set; }
        public string Subject08Name { get; set; }
        public Nullable<int> Subject08Koma { get; set; }
        public Nullable<int> Subject08ExKoma { get; set; }
        public Nullable<int> Subject08Price { get; set; }
        public string Subject09Name { get; set; }
        public Nullable<int> Subject09Koma { get; set; }
        public Nullable<int> Subject09ExKoma { get; set; }
        public Nullable<int> Subject09Price { get; set; }
        public string Subject10Name { get; set; }
        public Nullable<int> Subject10Koma { get; set; }
        public Nullable<int> Subject10ExKoma { get; set; }
        public Nullable<int> Subject10Price { get; set; }
        public string Subject00Name { get; set; }
        public Nullable<int> Subject00Koma { get; set; }
        public Nullable<int> Subject00Price { get; set; }
        public Nullable<System.DateTime> InsStampDate { get; set; }
        public string InsStampId { get; set; }
    }
}
